Name:           djmount
Version:        0.71
Release:        16%{?dist}
Summary:        Mount MediaServers content as a Linux file system
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://djmount.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  fuse-devel libupnp-devel libtalloc-devel
Patch0:		djmount-0.71-includes.patch

%description
djmount is a UPnP AV client. It mounts as a Linux file system the media content
of compatible UPnP AV devices. Djmount discovers automatically all UPnP AV
Media Servers on the network, and make the content available in a directory
tree. All shared files (e.g. Audio or Video files) are directly visible and
can be played using your favorite media player. 

%prep
%setup -q
%patch0 -p1
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && \
 touch -r ChangeLog ChangeLog.conv && mv -f ChangeLog.conv ChangeLog
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
 touch -r AUTHORS AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 README > README.conv && \
 touch -r README README.conv && mv -f README.conv README
iconv -f iso8859-1 -t utf-8 THANKS > THANKS.conv && \
 touch -r THANKS THANKS.conv && mv -f THANKS.conv THANKS
iconv -f iso8859-1 -t utf-8 NEWS > NEWS.conv && \
 touch -r NEWS NEWS.conv && mv -f NEWS.conv NEWS

%build
%configure --with-external-talloc --with-external-libupnp
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README NEWS AUTHORS ChangeLog TODO INSTALL THANKS search_help.txt
%{_bindir}/djmount

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.71-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.71-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue May 31 2011 Adam Jackson <ajax@redhat.com> 0.71-4
- Rebuild for new libupnp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 27 2010 Jean-Francois Saucier <jsaucier@gmail.com> - 0.71-2
- Fix as per bug #583105 suggestion

* Tue Mar 16 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.71-1
- Initial build for Fedora
